#include <string>

namespace{
  const std::string template_nebs_text = 
"<top>\n"
"  <residue>\n"
"    <name> PRO </name>\n"
"    <flat> CA- C- O- CA N CD </flat>\n"
"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> CD CA </pair>\n"
"      <pair> N CB </pair>\n"
"      <pair> N CG </pair>\n"
"      <pair> CD CB </pair>\n"
"      <pair> C HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"
"      <pair> HG2 HG3 </pair>\n"
"      <pair> HD2 N </pair>\n"
"      <pair> HD3 N </pair>\n"
"    </redundant>\n"
"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> C- </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> CG HB2 HB3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CG </name>\n"
"      <nebs> CD HG2 HG3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CD </name>\n"
"      <nebs> N HD2 HD3 </nebs>\n"
"    </atom>\n"
"  </residue>\n"
"  <residue>\n"
"    <name> GLY </name>\n"
"    <flat> CA- C- O- CA N H </flat>\n"
"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> H CA </pair>\n"
"      <pair> HA2 HA3 </pair>\n"
"    </redundant>\n"
"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA2 HA3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> C- H </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <residue>\n"
"    <name> ARG </name>\n"
"    <flat> CA- C- O- CA N H </flat>\n"
"    <flat> CD CZ NE NH1 NH2 HE HH11 HH12 HH21 HH22 </flat>\n"
"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> H CA </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"
"      <pair> HG2 HG3 </pair>\n"
"      <pair> HD2 HD3 </pair>\n"
"      <pair> CZ HE </pair>\n"
"      <pair> NH1 NH2 </pair>\n"
"      <pair> HH11 HH12 </pair>\n"
"      <pair> HH21 HH22 </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> C- H </nebs>\n"
"    </atom>\n"

"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> CG HB2 HB3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CG </name>\n"
"      <nebs> CD HG2 HG3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CD </name>\n"
"      <nebs> NE HD2 HD3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> NE </name>\n"
"      <nebs> CZ HE </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CZ </name>\n"
"      <nebs> NH1 NH2 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> NH1 </name>\n"
"      <nebs> HH11 HH12 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> NH2 </name>\n"
"      <nebs> HH21 HH22 </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <residue>\n"
"    <name> ALA </name>\n"
"    <flat> CA- C- O- CA N H </flat>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> H CA </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> C- H </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> HB1 HB2 HB3 </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <residue>\n"
"    <name> ASN </name>\n"

"    <flat> CA- C- O- CA N H </flat>\n"
"    <flat> CB CG OD1 ND2 HD21 HD22 </flat>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> H CA </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"
"      <pair> CB OD1  </pair>\n"
"      <pair> HD21 HD22 </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> C- H </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> CG HB2 HB3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CG </name>\n"
"      <nebs> OD1 ND2 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> ND2 </name>\n"
"      <nebs> HD21 HD22 </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <residue>\n"
"    <name> ASP </name>\n"

"    <flat> CA- C- O- CA N H </flat>\n"
"    <flat> CB CG OD1 OD2 </flat>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> H CA </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"
"      <pair> OD1 OD2 </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> C- H </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> CG HB2 HB3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CG </name>\n"
"      <nebs> OD1 OD2 </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <residue>\n"
"    <name> ASH </name>\n"

"    <flat> CA- C- O- CA N H </flat>\n"
"    <flat> CB CG OD1 OD2 HD2 </flat>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> H CA </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"
"      <pair> OD1 OD2 </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> C- H </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> CG HB2 HB3 </nebs>\n"
"    </atom>\n"

"    <atom>\n"
"      <name> CG </name>\n"
"      <nebs> OD1 OD2 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> OD2 </name>\n"
"      <nebs> HD2 </nebs>\n"
"    </atom>\n"
"  </residue>\n"



"  <residue>\n"
"    <name> CYS </name>\n"

"    <flat> CA- C- O- CA N H </flat>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> H CA </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> C- H </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> SG </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> SG </name>\n"
"      <nebs> HG </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <residue>\n"
"    <name> CYM </name>\n"

"    <flat> CA- C- O- CA N H </flat>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> H CA </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> C- H </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> SG HB2 HB3 </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <residue>\n"
"    <name> GLN </name>\n"

"    <flat> CA- C- O- CA N H </flat>\n"
"    <flat> CG CD OE1 NE2 HE21 HE22 </flat>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> H CA </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"
"      <pair> HG2 HG3 </pair>\n"
"      <pair> CG OE1  </pair>\n"
"      <pair> HE21 HE22 </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> C- H </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> CG HB2 HB3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CG </name>\n"
"      <nebs> CD HG2 HG3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CD </name>\n"
"      <nebs> OE1 NE2 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> NE2 </name>\n"
"      <nebs> HE21 HE22 </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <residue>\n"
"    <name> GLU </name>\n"

"    <flat> CA- C- O- CA N H </flat>\n"
"    <flat> CG CD OE1 OE2 </flat>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> H CA </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"
"      <pair> HG2 HG3 </pair>\n"
"      <pair> OE1 OE2 </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> C- H </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> CG HB2 HB3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CG </name>\n"
"      <nebs> CD HG2 HG3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CD </name>\n"
"      <nebs> OE1 OE2 </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <residue>\n"
"    <name> GLH </name>\n"

"    <flat> CA- C- O- CA N H </flat>\n"
"    <flat> CG CD OE1 OE2 HE2 </flat>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> H CA </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"
"      <pair> HG2 HG3 </pair>\n"
"      <pair> OE1 OE2 </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> C- H </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> CG HB2 HB3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CG </name>\n"
"      <nebs> CD HG2 HG3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CD </name>\n"
"      <nebs> OE1 OE2 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> OE2 </name>\n"
"      <nebs> HE2 </nebs>\n"
"    </atom>\n"
"  </residue>\n"


"  <residue>\n"
"    <name> HIP </name>\n"

"    <flat> CA- C- O- CA N H </flat>\n"
"    <flat> CB CG ND1 CE1 CD2 NE2 HD1 HE1 HD2 HE2 </flat>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> H CA </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"

"      <pair> ND1 CD2 </pair>\n"
"      <pair> ND1 NE2 </pair>\n"
"      <pair> CD2 CE1 </pair>\n"
"      <pair> CB CD2 </pair>\n"
"      <pair> HD1 CG </pair>\n"
"      <pair> HE1 ND1 </pair>\n"
"      <pair> HE2 CE1 </pair>\n"
"      <pair> HD2 NE2 </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> C- H </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> CG HB2 HB3 </nebs>\n"
"    </atom>\n"

"    <atom>\n"
"      <name>  CG </name>\n"
"      <nebs> ND1 CD2 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name>  ND1 </name>\n"
"      <nebs> CE1 HD1 </nebs>\n"
"    </atom>\n"

"     <atom>\n"
"      <name> CE1 </name>\n"
"      <nebs> NE2 HE1 </nebs>\n"
"    </atom>\n"

"    <atom>\n"
"      <name> CD2 </name>\n"
"      <nebs> NE2 HD2 </nebs>\n"
"    </atom>\n"

"    <atom>\n"
"      <name> NE2 </name>\n"
"      <nebs> HE2 </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <residue>\n"
"    <name> HID </name>\n"

"    <flat> CA- C- O- CA N H </flat>\n"
"    <flat> CB CG ND1 CE1 CD2 NE2 HD1 HE1 HD2 </flat>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> H CA </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"

"      <pair> ND1 CD2 </pair>\n"
"      <pair> ND1 NE2 </pair>\n"
"      <pair> CD2 CE1 </pair>\n"
"      <pair> CB CD2 </pair>\n"
"      <pair> HD1 CG </pair>\n"
"      <pair> HE1 ND1 </pair>\n"
"      <pair> HD2 NE2 </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> C- H </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> CG HB2 HB3 </nebs>\n"
"    </atom>\n"

"    <atom>\n"
"      <name>  CG </name>\n"
"      <nebs> ND1 CD2 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name>  ND1 </name>\n"
"      <nebs> CE1 HD1 </nebs>\n"
"    </atom>\n"

"     <atom>\n"
"      <name> CE1 </name>\n"
"      <nebs> NE2 HE1 </nebs>\n"
"    </atom>\n"

"    <atom>\n"
"      <name> CD2 </name>\n"
"      <nebs> NE2 HD2 </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <residue>\n"
"    <name> HIE </name>\n"

"    <flat> CA- C- O- CA N H </flat>\n"
"    <flat> CB CG ND1 CE1 CD2 NE2 HE1 HD2 HE2 </flat>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> H CA </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"

"      <pair> ND1 CD2 </pair>\n"
"      <pair> ND1 NE2 </pair>\n"
"      <pair> CD2 CE1 </pair>\n"
"      <pair> CB CD2 </pair>\n"
"      <pair> HE1 ND1 </pair>\n"
"      <pair> HE2 CE1 </pair>\n"
"      <pair> HD2 NE2 </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> C- H </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> CG HB2 HB3 </nebs>\n"
"    </atom>\n"

"    <atom>\n"
"      <name>  CG </name>\n"
"      <nebs> ND1 CD2 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name>  ND1 </name>\n"
"      <nebs> CE1 </nebs>\n"
"    </atom>\n"

"     <atom>\n"
"      <name> CE1 </name>\n"
"      <nebs> NE2 HE1 </nebs>\n"
"    </atom>\n"

"    <atom>\n"
"      <name> CD2 </name>\n"
"      <nebs> NE2 HD2 </nebs>\n"
"    </atom>\n"

"    <atom>\n"
"      <name> NE2 </name>\n"
"      <nebs> HE2 </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <residue>\n"
"    <name> ILE </name>\n"
"    <flat> CA- C- O- CA N H </flat>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> H CA </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB CG2 </pair>\n"
"      <pair> HG22 HG23 </pair>\n"
"      <pair> HG12 HG13 </pair>\n"
"      <pair> HD12 HD13 </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> C- H </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> HB CG1 CG2 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CG1 </name>\n"
"      <nebs> CD1 HG12 HG13 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CD1 </name>\n"
"      <nebs> HD11 HD12 HD13 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CG2 </name>\n"
"      <nebs> HG21 HG22 HG23 </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <residue>\n"
"    <name> LEU </name>\n"
"    <flat> CA- C- O- CA N H </flat>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> H CA </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"
"      <pair> HG CB </pair>\n"
"      <pair> HD12 HD13 </pair>\n"
"      <pair> HD22 HD23 </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> C- H </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> CG HB2 HB3 </nebs>\n"
"    </atom>\n"

"    <atom>\n"
"      <name> CG </name>\n"
"      <nebs>  CD1 CD2 HG </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CD1 </name>\n"
"      <nebs> HD11 HD12 HD13 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CD2 </name>\n"
"      <nebs> HD21 HD22 HD23 </nebs>\n"
"    </atom>\n"

"  </residue>\n"


"  <residue>\n"
"    <name> LYS </name>\n"
"    <flat> CA- C- O- CA N H </flat>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> H CA </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"
"      <pair> HG2 HG3 </pair>\n"
"      <pair> HD2 HD3 </pair>\n"
"      <pair> HE2 HE3 </pair>\n"
"      <pair> HZ2 HZ3 </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> C- H </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> CG HB2 HB3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CG </name>\n"
"      <nebs>  CD HG2 HG3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CD </name>\n"
"      <nebs> CE HD2 HD3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CE </name>\n"
"      <nebs> NZ HE2 HE3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> NZ </name>\n"
"      <nebs> HZ1 HZ2 HZ3 </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <residue>\n"
"    <name> MET </name>\n"
"    <flat> CA- C- O- CA N H </flat>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> H CA </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"
"      <pair> HG2 HG3 </pair>\n"
"      <pair> HE2 HE3 </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> C- H </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> CG HB2 HB3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CG </name>\n"
"      <nebs>  SD HG2 HG3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> SD </name>\n"
"      <nebs> CE </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CE </name>\n"
"      <nebs> HE1 HE2 HE3 </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <residue>\n"
"    <name> PHE </name>\n"
"    <flat> CA- C- O- CA N H </flat>\n"
"    <flat> CB CG CD1 CD2 CE1 CE2 CZ HD1 HD2 HE1 HE2 HZ </flat>\n"
"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> H CA </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"
"      <pair> CD1 CD2 </pair>\n"
"      <pair> CZ CD1 </pair>\n"
"      <pair> CZ CD2 </pair>\n"
"      <pair> HD1 CG </pair>\n"
"      <pair> HE1 CD1 </pair>\n"
"      <pair> HZ CE1 </pair>\n"
"      <pair> HE2 CZ </pair>\n"
"      <pair> HD2 CE2 </pair>\n"
"      <pair> CB CD2 </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> C- H </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> CG HB2 HB3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CG </name>\n"
"      <nebs> CD1 CD2 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CD1 </name>\n"
"      <nebs>  CE1 HD1 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CD2 </name>\n"
"      <nebs>  CE2 HD2 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CE1 </name>\n"
"      <nebs> HE1 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CE2 </name>\n"
"      <nebs>  HE2 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CZ </name>\n"
"      <nebs> CE1 CE2 HZ </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <residue>\n"
"    <name> SER </name>\n"
"    <flat> CA- C- O- CA N H </flat>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> H CA </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> C- H </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> HB2 HB3 OG </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> OG </name>\n"
"      <nebs> HG </nebs>\n"
"    </atom>\n"

"  </residue>\n"


"  <residue>\n"
"    <name> THR </name>\n"
"    <flat> CA- C- O- CA N H </flat>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> H CA </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> OG1 HB </pair>\n"
"      <pair> HG22 HG23 </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> C- H </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> OG1 CG2 HB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> OG1 </name>\n"
"      <nebs>  HG1 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CG2 </name>\n"
"      <nebs> HG21 HG22 HG23 </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <residue>\n"
"    <name> TYR </name>\n"
"    <flat> CA- C- O- CA N H </flat>\n"
"    <flat> CB CG CD1 CD2 CE1 CE2 CZ HD1 HD2 HE1 HE2 OH </flat>\n"
"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> H CA </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"
"      <pair> CD1 CD2 </pair>\n"
"      <pair> CZ CD1 </pair>\n"
"      <pair> CZ CD2 </pair>\n"
"      <pair> HD1 CG </pair>\n"
"      <pair> HE1 CD1 </pair>\n"
"      <pair> OH CE1 </pair>\n"
"      <pair> HE2 CZ </pair>\n"
"      <pair> HD2 CE2 </pair>\n"
"      <pair> CB CD2 </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> C- H </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> CG HB2 HB3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CG </name>\n"
"      <nebs> CD1 CD2 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CD1 </name>\n"
"      <nebs>  CE1 HD1 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CD2 </name>\n"
"      <nebs>  CE2 HD2 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CE1 </name>\n"
"      <nebs> HE1 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CE2 </name>\n"
"      <nebs>  HE2 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CZ </name>\n"
"      <nebs> CE1 CE2 OH </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> OH </name>\n"
"      <nebs> HH </nebs>\n"
"    </atom>\n"

"  </residue>\n"

"    <residue>\n"
"    <name> VAL </name>\n"
"    <flat> CA- C- O- CA N H </flat>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> H CA </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> CA HB </pair>\n"
"      <pair> HG12 HG13 </pair>\n"
"      <pair> HG22 HG23 </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> C- H </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> CG1 CG2 HB </nebs>\n"
"    </atom>\n"

"    <atom>\n"
"      <name> CG1 </name>\n"
"      <nebs> HG11 HG12 HG13 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CG2 </name>\n"
"      <nebs> HG21 HG22 HG23 </nebs>\n"
"    </atom>\n"

"  </residue>\n"

"  <residue>\n"
"    <name> TRP </name>\n"
"    <flat> CA- C- O- CA N H </flat>\n"
"    <flat> CG CD1 NE1 CE2 CD2 CE3 CZ3 CH2 CZ2 CB HD1 HE1 HZ2 HH2 HZ3 HE3 </flat>\n"
"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> H CA </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"
"      <pair> CG NE1 </pair>\n"
"      <pair> CG CE2 </pair>\n"
"      <pair> NE1 CD2 </pair>\n"
"      <pair> CE2 CE3 </pair>\n"
"      <pair> CE3 CH2 </pair>\n"
"      <pair> CE2 CH2 </pair>\n"
"      <pair> CE3 CG </pair>\n"
"      <pair> CZ2 NE1 </pair>\n"
"      <pair> HE3 CD2 </pair>\n"
"      <pair> CE3 HZ3 </pair>\n"
"      <pair> HH2 CZ3 </pair>\n"
"      <pair> HZ2 CH2 </pair>\n"
"      <pair> HE1 CE2 </pair>\n"
"      <pair> HD1 NE1 </pair>\n"
"      <pair> CB CD1 </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> C- H </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> CG HB2 HB3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CG </name>\n"
"      <nebs> CD1 CD2 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CD1 </name>\n"
"      <nebs> NE1 HD1 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> NE1 </name>\n"
"      <nebs> CE2 HE1 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CE2 </name>\n"
"      <nebs> CD2 CZ2  </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CD2 </name>\n"
"      <nebs> CE3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CE3 </name>\n"
"      <nebs> CZ3 HE3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CZ3 </name>\n"
"      <nebs> CH2 HZ3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CH2 </name>\n"
"      <nebs> CZ2 HH2 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CZ2 </name>\n"
"      <nebs> HZ2 </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <c> N-terminal residues </c>\n"

"  <residue>\n"
"    <name> NPRO </name>\n"
"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> CD CA </pair>\n"
"      <pair> N CB </pair>\n"
"      <pair> N CG </pair>\n"
"      <pair> CD CB </pair>\n"
"      <pair> C HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"
"      <pair> HG2 HG3 </pair>\n"
"      <pair> HD2 N </pair>\n"
"      <pair> HD3 N </pair>\n"
"      <pair>  H2 H3 </pair>\n"
"    </redundant>\n"
"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> H1 H2 H3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> CG HB2 HB3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CG </name>\n"
"      <nebs> CD HG2 HG3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CD </name>\n"
"      <nebs> N HD2 HD3 </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <residue>\n"
"    <name> NGLY </name>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> HA2 HA3 </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA2 HA3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> H1 H2 H3 </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <residue>\n"
"    <name> NARG </name>\n"

"    <flat> CD CZ NE NH1 NH2 HE HH11 HH12 HH21 HH22 </flat>\n"
"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"
"      <pair> HG2 HG3 </pair>\n"
"      <pair> HD2 HD3 </pair>\n"
"      <pair> CZ HE </pair>\n"
"      <pair> NH1 NH2 </pair>\n"
"      <pair> HH11 HH12 </pair>\n"
"      <pair> HH21 HH22 </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> H1 H2 H3 </nebs>\n"
"    </atom>\n"

"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> CG HB2 HB3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CG </name>\n"
"      <nebs> CD HG2 HG3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CD </name>\n"
"      <nebs> NE HD2 HD3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> NE </name>\n"
"      <nebs> CZ HE </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CZ </name>\n"
"      <nebs> NH1 NH2 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> NH1 </name>\n"
"      <nebs> HH11 HH12 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> NH2 </name>\n"
"      <nebs> HH21 HH22 </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <residue>\n"
"    <name> NALA </name>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> H1 H2 H3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> HB1 HB2 HB3 </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <residue>\n"
"    <name> NASN </name>\n"

"    <flat> CB CG OD1 ND2 HD21 HD22 </flat>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"
"      <pair> CB OD1  </pair>\n"
"      <pair> HD21 HD22 </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> H1 H2 H3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> CG HB2 HB3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CG </name>\n"
"      <nebs> OD1 ND2 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> ND2 </name>\n"
"      <nebs> HD21 HD22 </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <residue>\n"
"    <name> NASP </name>\n"

"    <flat> CB CG OD1 OD2 </flat>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"
"      <pair> OD1 OD2 </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> H1 H2 H3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> CG HB2 HB3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CG </name>\n"
"      <nebs> OD1 OD2 </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <residue>\n"
"    <name> NASH </name>\n"

"    <flat> CB CG OD1 OD2 HD2 </flat>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"
"      <pair> OD1 OD2 </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> H1 H2 H3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> CG HB2 HB3 </nebs>\n"
"    </atom>\n"

"    <atom>\n"
"      <name> CG </name>\n"
"      <nebs> OD1 OD2 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> OD2 </name>\n"
"      <nebs> HD2 </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <residue>\n"
"    <name> NCYS </name>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> H1 H2 H3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> SG </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> SG </name>\n"
"      <nebs> HG </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <residue>\n"
"    <name> NCYM </name>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> H1 H2 H3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> SG HB2 HB3 </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <residue>\n"
"    <name> NGLN </name>\n"

"    <flat> CG CD OE1 NE2 HE21 HE22 </flat>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"
"      <pair> HG2 HG3 </pair>\n"
"      <pair> CG OE1  </pair>\n"
"      <pair> HE21 HE22 </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> H1 H2 H3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> CG HB2 HB3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CG </name>\n"
"      <nebs> CD HG2 HG3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CD </name>\n"
"      <nebs> OE1 NE2 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> NE2 </name>\n"
"      <nebs> HE21 HE22 </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <residue>\n"
"    <name> NGLU </name>\n"

"    <flat> CG CD OE1 OE2 </flat>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"
"      <pair> HG2 HG3 </pair>\n"
"      <pair> OE1 OE2 </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> H1 H2 H3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> CG HB2 HB3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CG </name>\n"
"      <nebs> CD HG2 HG3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CD </name>\n"
"      <nebs> OE1 OE2 </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <residue>\n"
"    <name> NGLH </name>\n"

"    <flat> CG CD OE1 OE2 HE2 </flat>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"
"      <pair> HG2 HG3 </pair>\n"
"      <pair> OE1 OE2 </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> H1 H2 H3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> CG HB2 HB3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CG </name>\n"
"      <nebs> CD HG2 HG3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CD </name>\n"
"      <nebs> OE1 OE2 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> OE2 </name>\n"
"      <nebs> HE2 </nebs>\n"
"    </atom>\n"
"  </residue>\n"


"  <residue>\n"
"    <name> NHIP </name>\n"

"    <flat> CB CG ND1 CE1 CD2 NE2 HD1 HE1 HD2 HE2 </flat>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"

"      <pair> ND1 CD2 </pair>\n"
"      <pair> ND1 NE2 </pair>\n"
"      <pair> CD2 CE1 </pair>\n"
"      <pair> CB CD2 </pair>\n"
"      <pair> HD1 CG </pair>\n"
"      <pair> HE1 ND1 </pair>\n"
"      <pair> HE2 CE1 </pair>\n"
"      <pair> HD2 NE2 </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> H1 H2 H3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> CG HB2 HB3 </nebs>\n"
"    </atom>\n"

"    <atom>\n"
"      <name>  CG </name>\n"
"      <nebs> ND1 CD2 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name>  ND1 </name>\n"
"      <nebs> CE1 HD1 </nebs>\n"
"    </atom>\n"

"     <atom>\n"
"      <name> CE1 </name>\n"
"      <nebs> NE2 HE1 </nebs>\n"
"    </atom>\n"

"    <atom>\n"
"      <name> CD2 </name>\n"
"      <nebs> NE2 HD2 </nebs>\n"
"    </atom>\n"

"    <atom>\n"
"      <name> NE2 </name>\n"
"      <nebs> HE2 </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <residue>\n"
"    <name> NHID </name>\n"

"    <flat> CB CG ND1 CE1 CD2 NE2 HD1 HE1 HD2 </flat>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"

"      <pair> ND1 CD2 </pair>\n"
"      <pair> ND1 NE2 </pair>\n"
"      <pair> CD2 CE1 </pair>\n"
"      <pair> CB CD2 </pair>\n"
"      <pair> HD1 CG </pair>\n"
"      <pair> HE1 ND1 </pair>\n"
"      <pair> HD2 NE2 </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> H1 H2 H3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> CG HB2 HB3 </nebs>\n"
"    </atom>\n"

"    <atom>\n"
"      <name>  CG </name>\n"
"      <nebs> ND1 CD2 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name>  ND1 </name>\n"
"      <nebs> CE1 HD1 </nebs>\n"
"    </atom>\n"

"     <atom>\n"
"      <name> CE1 </name>\n"
"      <nebs> NE2 HE1 </nebs>\n"
"    </atom>\n"

"    <atom>\n"
"      <name> CD2 </name>\n"
"      <nebs> NE2 HD2 </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <residue>\n"
"    <name> NHIE </name>\n"

"    <flat> CB CG ND1 CE1 CD2 NE2 HE1 HD2 HE2 </flat>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"

"      <pair> ND1 CD2 </pair>\n"
"      <pair> ND1 NE2 </pair>\n"
"      <pair> CD2 CE1 </pair>\n"
"      <pair> CB CD2 </pair>\n"
"      <pair> HE1 ND1 </pair>\n"
"      <pair> HE2 CE1 </pair>\n"
"      <pair> HD2 NE2 </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> H1 H2 H3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> CG HB2 HB3 </nebs>\n"
"    </atom>\n"

"    <atom>\n"
"      <name>  CG </name>\n"
"      <nebs> ND1 CD2 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name>  ND1 </name>\n"
"      <nebs> CE1 </nebs>\n"
"    </atom>\n"

"     <atom>\n"
"      <name> CE1 </name>\n"
"      <nebs> NE2 HE1 </nebs>\n"
"    </atom>\n"

"    <atom>\n"
"      <name> CD2 </name>\n"
"      <nebs> NE2 HD2 </nebs>\n"
"    </atom>\n"

"    <atom>\n"
"      <name> NE2 </name>\n"
"      <nebs> HE2 </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <residue>\n"
"    <name> NILE </name>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB CG2 </pair>\n"
"      <pair> HG22 HG23 </pair>\n"
"      <pair> HG12 HG13 </pair>\n"
"      <pair> HD12 HD13 </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> H1 H2 H3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> HB CG1 CG2 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CG1 </name>\n"
"      <nebs> CD1 HG12 HG13 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CD1 </name>\n"
"      <nebs> HD11 HD12 HD13 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CG2 </name>\n"
"      <nebs> HG21 HG22 HG23 </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <residue>\n"
"    <name> NLEU </name>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"
"      <pair> HG CB </pair>\n"
"      <pair> HD12 HD13 </pair>\n"
"      <pair> HD22 HD23 </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> H1 H2 H3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> CG HB2 HB3 </nebs>\n"
"    </atom>\n"

"    <atom>\n"
"      <name> CG </name>\n"
"      <nebs>  CD1 CD2 HG </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CD1 </name>\n"
"      <nebs> HD11 HD12 HD13 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CD2 </name>\n"
"      <nebs> HD21 HD22 HD23 </nebs>\n"
"    </atom>\n"

"  </residue>\n"


"  <residue>\n"
"    <name> NLYS </name>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"
"      <pair> HG2 HG3 </pair>\n"
"      <pair> HD2 HD3 </pair>\n"
"      <pair> HE2 HE3 </pair>\n"
"      <pair> HZ2 HZ3 </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> H1 H2 H3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> CG HB2 HB3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CG </name>\n"
"      <nebs>  CD HG2 HG3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CD </name>\n"
"      <nebs> CE HD2 HD3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CE </name>\n"
"      <nebs> NZ HE2 HE3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> NZ </name>\n"
"      <nebs> HZ1 HZ2 HZ3 </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <residue>\n"
"    <name> NMET </name>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"
"      <pair> HG2 HG3 </pair>\n"
"      <pair> HE2 HE3 </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> H1 H2 H3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> CG HB2 HB3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CG </name>\n"
"      <nebs>  SD HG2 HG3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> SD </name>\n"
"      <nebs> CE </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CE </name>\n"
"      <nebs> HE1 HE2 HE3 </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <residue>\n"
"    <name> NPHE </name>\n"
"    <flat> CB CG CD1 CD2 CE1 CE2 CZ HD1 HD2 HE1 HE2 HZ </flat>\n"
"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"
"      <pair> CD1 CD2 </pair>\n"
"      <pair> CZ CD1 </pair>\n"
"      <pair> CZ CD2 </pair>\n"
"      <pair> HD1 CG </pair>\n"
"      <pair> HE1 CD1 </pair>\n"
"      <pair> HZ CE1 </pair>\n"
"      <pair> HE2 CZ </pair>\n"
"      <pair> HD2 CE2 </pair>\n"
"      <pair> CB CD2 </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> H1 H2 H3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> CG HB2 HB3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CG </name>\n"
"      <nebs> CD1 CD2 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CD1 </name>\n"
"      <nebs>  CE1 HD1 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CD2 </name>\n"
"      <nebs>  CE2 HD2 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CE1 </name>\n"
"      <nebs> HE1 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CE2 </name>\n"
"      <nebs>  HE2 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CZ </name>\n"
"      <nebs> CE1 CE2 HZ </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <residue>\n"
"    <name> NSER </name>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> H1 H2 H3</nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> HB2 HB3 OG </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> OG </name>\n"
"      <nebs> HG </nebs>\n"
"    </atom>\n"

"  </residue>\n"


"  <residue>\n"
"    <name> NTHR </name>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> OG1 HB </pair>\n"
"      <pair> HG22 HG23 </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> H1 H2 H3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> OG1 CG2 HB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> OG1 </name>\n"
"      <nebs>  HG1 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CG2 </name>\n"
"      <nebs> HG21 HG22 HG23 </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <residue>\n"
"    <name> NTYR </name>\n"
"    <flat> CB CG CD1 CD2 CE1 CE2 CZ HD1 HD2 HE1 HE2 OH </flat>\n"
"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"
"      <pair> CD1 CD2 </pair>\n"
"      <pair> CZ CD1 </pair>\n"
"      <pair> CZ CD2 </pair>\n"
"      <pair> HD1 CG </pair>\n"
"      <pair> HE1 CD1 </pair>\n"
"      <pair> OH CE1 </pair>\n"
"      <pair> HE2 CZ </pair>\n"
"      <pair> HD2 CE2 </pair>\n"
"      <pair> CB CD2 </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> H1 H2 H3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> CG HB2 HB3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CG </name>\n"
"      <nebs> CD1 CD2 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CD1 </name>\n"
"      <nebs>  CE1 HD1 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CD2 </name>\n"
"      <nebs>  CE2 HD2 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CE1 </name>\n"
"      <nebs> HE1 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CE2 </name>\n"
"      <nebs>  HE2 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CZ </name>\n"
"      <nebs> CE1 CE2 OH </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> OH </name>\n"
"      <nebs> HH </nebs>\n"
"    </atom>\n"

"  </residue>\n"

"    <residue>\n"
"    <name> NVAL </name>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> CA HB </pair>\n"
"      <pair> HG12 HG13 </pair>\n"
"      <pair> HG22 HG23 </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> H1 H2 H3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> CG1 CG2 HB </nebs>\n"
"    </atom>\n"

"    <atom>\n"
"      <name> CG1 </name>\n"
"      <nebs> HG11 HG12 HG13 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CG2 </name>\n"
"      <nebs> HG21 HG22 HG23 </nebs>\n"
"    </atom>\n"

"  </residue>\n"

"  <residue>\n"
"    <name> NTRP </name>\n"
"    <flat> CG CD1 NE1 CE2 CD2 CE3 CZ3 CH2 CZ2 CB HD1 HE1 HZ2 HH2 HZ3 HE3 </flat>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"
"      <pair> CG NE1 </pair>\n"
"      <pair> CG CE2 </pair>\n"
"      <pair> NE1 CD2 </pair>\n"
"      <pair> CE2 CE3 </pair>\n"
"      <pair> CE3 CH2 </pair>\n"
"      <pair> CE2 CH2 </pair>\n"
"      <pair> CE3 CG </pair>\n"
"      <pair> CZ2 NE1 </pair>\n"
"      <pair> HE3 CD2 </pair>\n"
"      <pair> HZ3 CE3 </pair>\n"
"      <pair> HH2 CZ3 </pair>\n"
"      <pair> HZ2 CH2 </pair>\n"
"      <pair> HE1 CE2 </pair>\n"
"      <pair> HD1 NE1 </pair>\n"
"      <pair> CB CD1 </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> H1 H2 H3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> CG HB2 HB3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CG </name>\n"
"      <nebs> CD1 CD2 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CD1 </name>\n"
"      <nebs> NE1 HD1 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> NE1 </name>\n"
"      <nebs> CE2 HE1 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CE2 </name>\n"
"      <nebs> CD2 CZ2  </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CD2 </name>\n"
"      <nebs> CE3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CE3 </name>\n"
"      <nebs> CZ3 HE3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CZ3 </name>\n"
"      <nebs> CH2 HZ3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CH2 </name>\n"
"      <nebs> CZ2 HH2 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CZ2 </name>\n"
"      <nebs> HZ2 </nebs>\n"
"    </atom>\n"

"  </residue>\n"


"  <c> C-terminal residues </c>\n"

"  <residue>\n"
"    <name> CPRO </name>\n"
"    <flat> C CA O OXT </flat>\n"
"    <flat> CA- C- O- CA N CD </flat>\n"
"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> CD CA </pair>\n"
"      <pair> N CB </pair>\n"
"      <pair> N CG </pair>\n"
"      <pair> CD CB </pair>\n"
"      <pair> C HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"
"      <pair> HG2 HG3 </pair>\n"
"      <pair> HD2 N </pair>\n"
"      <pair> HD3 N </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O OXT </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> C- </nebs>\n"
"    </atom>\n"

"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> CG HB2 HB3 </nebs>\n"
"    </atom>\n"

"    <atom>\n"
"      <name> CG </name>\n"
"      <nebs> CD HG2 HG3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CD </name>\n"
"      <nebs> N HD2 HD3 </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <residue>\n"
"    <name> CGLY </name>\n"
"    <flat> CA- C- O- CA N H </flat>\n"
"    <flat> C CA O OXT </flat>\n"
"    <redundant>\n"
"      <pair> HA2 HA3 </pair>\n"
"      <pair> O OXT </pair>\n"
"    </redundant>\n"
"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA2 HA3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O OXT </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> C- H </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <residue>\n"
"    <name> CARG </name>\n"

"    <flat> CA- C- O- CA N H </flat>\n"
"    <flat> CD CZ NE NH1 NH2 HE HH11 HH12 HH21 HH22 </flat>\n"
"    <flat> C CA O OXT </flat>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> H CA </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"
"      <pair> HG2 HG3 </pair>\n"
"      <pair> HD2 HD3 </pair>\n"
"      <pair> CZ HE </pair>\n"
"      <pair> NH1 NH2 </pair>\n"
"      <pair> HH11 HH12 </pair>\n"
"      <pair> HH21 HH22 </pair>\n"
"      <pair> O OXT </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O OXT </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> C- H </nebs>\n"
"    </atom>\n"

"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> CG HB2 HB3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CG </name>\n"
"      <nebs> CD HG2 HG3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CD </name>\n"
"      <nebs> NE HD2 HD3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> NE </name>\n"
"      <nebs> CZ HE </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CZ </name>\n"
"      <nebs> NH1 NH2 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> NH1 </name>\n"
"      <nebs> HH11 HH12 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> NH2 </name>\n"
"      <nebs> HH21 HH22 </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <residue>\n"
"    <name> CALA </name>\n"
"    <flat> CA- C- O- CA N H </flat>\n"
"    <flat> C CA O OXT </flat>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> H CA </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"
"      <pair> O OXT </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O OXT </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> C- H </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> HB1 HB2 HB3 </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <residue>\n"
"    <name> CASN </name>\n"

"    <flat> CA- C- O- CA N H </flat>\n"
"    <flat> CB CG OD1 ND2 HD21 HD22 </flat>\n"
"    <flat> C CA O OXT </flat>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> H CA </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"
"      <pair> CB OD1  </pair>\n"
"      <pair> HD21 HD22 </pair>\n"
"      <pair> O OXT </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O OXT </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> C- H </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> CG HB2 HB3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CG </name>\n"
"      <nebs> OD1 ND2 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> ND2 </name>\n"
"      <nebs> HD21 HD22 </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <residue>\n"
"    <name> CASP </name>\n"

"    <flat> CA- C- O- CA N H </flat>\n"
"    <flat> CB CG OD1 OD2 </flat>\n"
"    <flat> C CA O OXT </flat>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> H CA </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"
"      <pair> OD1 OD2 </pair>\n"
"      <pair> O OXT </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O OXT </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> C- H </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> CG HB2 HB3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CG </name>\n"
"      <nebs> OD1 OD2 </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <residue>\n"
"    <name> CASH </name>\n"

"    <flat> CA- C- O- CA N H </flat>\n"
"    <flat> CB CG OD1 OD2 HD2 </flat>\n"
"    <flat> C CA O OXT </flat>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> H CA </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"
"      <pair> OD1 OD2 </pair>\n"
"      <pair> O OXT </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O OXT </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> C- H </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> CG HB2 HB3 </nebs>\n"
"    </atom>\n"

"    <atom>\n"
"      <name> CG </name>\n"
"      <nebs> OD1 OD2 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> OD2 </name>\n"
"      <nebs> HD2 </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <residue>\n"
"    <name> CCYS </name>\n"

"    <flat> CA- C- O- CA N H </flat>\n"
"    <flat> C CA O OXT </flat>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> H CA </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"
"      <pair> O OXT </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O OXT </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> C- H </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> SG </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> SG </name>\n"
"      <nebs> HG </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <residue>\n"
"    <name> CCYM </name>\n"

"    <flat> CA- C- O- CA N H </flat>\n"
"    <flat> C CA O OXT </flat>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> H CA </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"
"      <pair> O OXT </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O OXT </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> C- H </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> SG HB2 HB3 </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <residue>\n"
"    <name> CGLN </name>\n"

"    <flat> CA- C- O- CA N H </flat>\n"
"    <flat> CG CD OE1 NE2 HE21 HE22 </flat>\n"
"    <flat> C CA O OXT </flat>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> H CA </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"
"      <pair> HG2 HG3 </pair>\n"
"      <pair> CG OE1  </pair>\n"
"      <pair> HE21 HE22 </pair>\n"
"      <pair> O OXT </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O OXT </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> C- H </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> CG HB2 HB3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CG </name>\n"
"      <nebs> CD HG2 HG3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CD </name>\n"
"      <nebs> OE1 NE2 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> NE2 </name>\n"
"      <nebs> HE21 HE22 </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <residue>\n"
"    <name> CGLU </name>\n"

"    <flat> CA- C- O- CA N H </flat>\n"
"    <flat> CG CD OE1 OE2 </flat>\n"
"    <flat> C CA O OXT </flat>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> H CA </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"
"      <pair> HG2 HG3 </pair>\n"
"      <pair> OE1 OE2 </pair>\n"
"      <pair> O OXT </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O OXT </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> C- H </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> CG HB2 HB3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CG </name>\n"
"      <nebs> CD HG2 HG3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CD </name>\n"
"      <nebs> OE1 OE2 </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <residue>\n"
"    <name> CGLH </name>\n"

"    <flat> CA- C- O- CA N H </flat>\n"
"    <flat> CG CD OE1 OE2 HE2 </flat>\n"
"    <flat> C CA O OXT </flat>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> H CA </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"
"      <pair> HG2 HG3 </pair>\n"
"      <pair> OE1 OE2 </pair>\n"
"      <pair> O OXT </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O OXT </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> C- H </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> CG HB2 HB3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CG </name>\n"
"      <nebs> CD HG2 HG3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CD </name>\n"
"      <nebs> OE1 OE2 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> OE2 </name>\n"
"      <nebs> HE2 </nebs>\n"
"    </atom>\n"
"  </residue>\n"


"  <residue>\n"
"    <name> CHIP </name>\n"

"    <flat> CA- C- O- CA N H </flat>\n"
"    <flat> CB CG ND1 CE1 CD2 NE2 HD1 HE1 HD2 HE2 </flat>\n"
"    <flat> C CA O OXT </flat>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> H CA </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"

"      <pair> ND1 CD2 </pair>\n"
"      <pair> ND1 NE2 </pair>\n"
"      <pair> CD2 CE1 </pair>\n"
"      <pair> CB CD2 </pair>\n"
"      <pair> HD1 CG </pair>\n"
"      <pair> HE1 ND1 </pair>\n"
"      <pair> HE2 CE1 </pair>\n"
"      <pair> HD2 NE2 </pair>\n"
"      <pair> O OXT </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O OXT </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> C- H </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> CG HB2 HB3 </nebs>\n"
"    </atom>\n"

"    <atom>\n"
"      <name>  CG </name>\n"
"      <nebs> ND1 CD2 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name>  ND1 </name>\n"
"      <nebs> CE1 HD1 </nebs>\n"
"    </atom>\n"

"     <atom>\n"
"      <name> CE1 </name>\n"
"      <nebs> NE2 HE1 </nebs>\n"
"    </atom>\n"

"    <atom>\n"
"      <name> CD2 </name>\n"
"      <nebs> NE2 HD2 </nebs>\n"
"    </atom>\n"

"    <atom>\n"
"      <name> NE2 </name>\n"
"      <nebs> HE2 </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <residue>\n"
"    <name> CHID </name>\n"

"    <flat> CA- C- O- CA N H </flat>\n"
"    <flat> CB CG ND1 CE1 CD2 NE2 HD1 HE1 HD2 </flat>\n"
"    <flat> C CA O OXT </flat>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> H CA </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"

"      <pair> ND1 CD2 </pair>\n"
"      <pair> ND1 NE2 </pair>\n"
"      <pair> CD2 CE1 </pair>\n"
"      <pair> CB CD2 </pair>\n"
"      <pair> HD1 CG </pair>\n"
"      <pair> HE1 ND1 </pair>\n"
"      <pair> HD2 NE2 </pair>\n"
"      <pair> O OXT </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O OXT </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> C- H </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> CG HB2 HB3 </nebs>\n"
"    </atom>\n"

"    <atom>\n"
"      <name>  CG </name>\n"
"      <nebs> ND1 CD2 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name>  ND1 </name>\n"
"      <nebs> CE1 HD1 </nebs>\n"
"    </atom>\n"

"     <atom>\n"
"      <name> CE1 </name>\n"
"      <nebs> NE2 HE1 </nebs>\n"
"    </atom>\n"

"    <atom>\n"
"      <name> CD2 </name>\n"
"      <nebs> NE2 HD2 </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <residue>\n"
"    <name> CHIE </name>\n"

"    <flat> CA- C- O- CA N H </flat>\n"
"    <flat> CB CG ND1 CE1 CD2 NE2 HE1 HD2 HE2 </flat>\n"
"    <flat> C CA O OXT </flat>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> H CA </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"

"      <pair> ND1 CD2 </pair>\n"
"      <pair> ND1 NE2 </pair>\n"
"      <pair> CD2 CE1 </pair>\n"
"      <pair> CB CD2 </pair>\n"
"      <pair> HE1 ND1 </pair>\n"
"      <pair> HE2 CE1 </pair>\n"
"      <pair> HD2 NE2 </pair>\n"
"      <pair> O OXT </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O OXT </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> C- H </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> CG HB2 HB3 </nebs>\n"
"    </atom>\n"

"    <atom>\n"
"      <name>  CG </name>\n"
"      <nebs> ND1 CD2 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name>  ND1 </name>\n"
"      <nebs> CE1 </nebs>\n"
"    </atom>\n"

"     <atom>\n"
"      <name> CE1 </name>\n"
"      <nebs> NE2 HE1 </nebs>\n"
"    </atom>\n"

"    <atom>\n"
"      <name> CD2 </name>\n"
"      <nebs> NE2 HD2 </nebs>\n"
"    </atom>\n"

"    <atom>\n"
"      <name> NE2 </name>\n"
"      <nebs> HE2 </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <residue>\n"
"    <name> CILE </name>\n"
"    <flat> CA- C- O- CA N H </flat>\n"
"    <flat> C CA O OXT </flat>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> H CA </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB CG2 </pair>\n"
"      <pair> HG22 HG23 </pair>\n"
"      <pair> HG12 HG13 </pair>\n"
"      <pair> HD12 HD13 </pair>\n"
"      <pair> O OXT </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O OXT </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> C- H </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> HB CG1 CG2 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CG1 </name>\n"
"      <nebs> CD1 HG12 HG13 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CD1 </name>\n"
"      <nebs> HD11 HD12 HD13 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CG2 </name>\n"
"      <nebs> HG21 HG22 HG23 </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <residue>\n"
"    <name> CLEU </name>\n"
"    <flat> CA- C- O- CA N H </flat>\n"
"    <flat> C CA O OXT </flat>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> H CA </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"
"      <pair> HG CB </pair>\n"
"      <pair> HD12 HD13 </pair>\n"
"      <pair> HD22 HD23 </pair>\n"
"      <pair> O OXT </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O OXT </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> C- H </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> CG HB2 HB3 </nebs>\n"
"    </atom>\n"

"    <atom>\n"
"      <name> CG </name>\n"
"      <nebs>  CD1 CD2 HG </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CD1 </name>\n"
"      <nebs> HD11 HD12 HD13 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CD2 </name>\n"
"      <nebs> HD21 HD22 HD23 </nebs>\n"
"    </atom>\n"

"  </residue>\n"


"  <residue>\n"
"    <name> CLYS </name>\n"
"    <flat> CA- C- O- CA N H </flat>\n"
"    <flat> C CA O OXT </flat>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> H CA </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"
"      <pair> HG2 HG3 </pair>\n"
"      <pair> HD2 HD3 </pair>\n"
"      <pair> HE2 HE3 </pair>\n"
"      <pair> HZ2 HZ3 </pair>\n"
"      <pair> O OXT </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O OXT </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> C- H </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> CG HB2 HB3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CG </name>\n"
"      <nebs>  CD HG2 HG3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CD </name>\n"
"      <nebs> CE HD2 HD3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CE </name>\n"
"      <nebs> NZ HE2 HE3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> NZ </name>\n"
"      <nebs> HZ1 HZ2 HZ3 </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <residue>\n"
"    <name> CMET </name>\n"
"    <flat> CA- C- O- CA N H </flat>\n"
"    <flat> C CA O OXT </flat>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> H CA </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"
"      <pair> HG2 HG3 </pair>\n"
"      <pair> HE2 HE3 </pair>\n"
"      <pair> O OXT </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O OXT </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> C- H </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> CG HB2 HB3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CG </name>\n"
"      <nebs>  SD HG2 HG3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> SD </name>\n"
"      <nebs> CE </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CE </name>\n"
"      <nebs> HE1 HE2 HE3 </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <residue>\n"
"    <name> CPHE </name>\n"
"    <flat> CA- C- O- CA N H </flat>\n"
"    <flat> CB CG CD1 CD2 CE1 CE2 CZ HD1 HD2 HE1 HE2 HZ </flat>\n"
"    <flat> C CA O OXT </flat>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> H CA </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"
"      <pair> CD1 CD2 </pair>\n"
"      <pair> CZ CD1 </pair>\n"
"      <pair> CZ CD2 </pair>\n"
"      <pair> HD1 CG </pair>\n"
"      <pair> HE1 CD1 </pair>\n"
"      <pair> HZ CE1 </pair>\n"
"      <pair> HE2 CZ </pair>\n"
"      <pair> HD2 CE2 </pair>\n"
"      <pair> CB CD2 </pair>\n"
"      <pair> O OXT </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O OXT </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> C- H </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> CG HB2 HB3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CG </name>\n"
"      <nebs> CD1 CD2 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CD1 </name>\n"
"      <nebs>  CE1 HD1 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CD2 </name>\n"
"      <nebs>  CE2 HD2 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CE1 </name>\n"
"      <nebs> HE1 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CE2 </name>\n"
"      <nebs>  HE2 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CZ </name>\n"
"      <nebs> CE1 CE2 HZ </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <residue>\n"
"    <name> CSER </name>\n"
"    <flat> CA- C- O- CA N H </flat>\n"
"    <flat> C CA O OXT </flat>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> H CA </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"
"      <pair> O OXT </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O OXT </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> C- H </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> HB2 HB3 OG </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> OG </name>\n"
"      <nebs> HG </nebs>\n"
"    </atom>\n"

"  </residue>\n"


"  <residue>\n"
"    <name> CTHR </name>\n"
"    <flat> CA- C- O- CA N H </flat>\n"
"    <flat> C CA O OXT </flat>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> H CA </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> OG1 HB </pair>\n"
"      <pair> HG22 HG23 </pair>\n"
"      <pair> O OXT </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O OXT </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> C- H </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> OG1 CG2 HB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> OG1 </name>\n"
"      <nebs>  HG1 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CG2 </name>\n"
"      <nebs> HG21 HG22 HG23 </nebs>\n"
"    </atom>\n"
"  </residue>\n"

"  <residue>\n"
"    <name> CTYR </name>\n"
"    <flat> CA- C- O- CA N H </flat>\n"
"    <flat> CB CG CD1 CD2 CE1 CE2 CZ HD1 HD2 HE1 HE2 OH </flat>\n"
"    <flat> C CA O OXT </flat>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> H CA </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"
"      <pair> CD1 CD2 </pair>\n"
"      <pair> CZ CD1 </pair>\n"
"      <pair> CZ CD2 </pair>\n"
"      <pair> HD1 CG </pair>\n"
"      <pair> HE1 CD1 </pair>\n"
"      <pair> OH CE1 </pair>\n"
"      <pair> HE2 CZ </pair>\n"
"      <pair> HD2 CE2 </pair>\n"
"      <pair> CB CD2 </pair>\n"
"      <pair> O OXT </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O OXT </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> C- H </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> CG HB2 HB3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CG </name>\n"
"      <nebs> CD1 CD2 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CD1 </name>\n"
"      <nebs>  CE1 HD1 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CD2 </name>\n"
"      <nebs>  CE2 HD2 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CE1 </name>\n"
"      <nebs> HE1 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CE2 </name>\n"
"      <nebs>  HE2 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CZ </name>\n"
"      <nebs> CE1 CE2 OH </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> OH </name>\n"
"      <nebs> HH </nebs>\n"
"    </atom>\n"

"  </residue>\n"

"  <residue>\n"
"    <name> CVAL </name>\n"
"    <flat> CA- C- O- CA N H </flat>\n"
"    <flat> C CA O OXT </flat>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> H CA </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> CA HB </pair>\n"
"      <pair> HG12 HG13 </pair>\n"
"      <pair> HG22 HG23 </pair>\n"
"      <pair> O OXT </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O OXT </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> C- H </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> CG1 CG2 HB </nebs>\n"
"    </atom>\n"

"    <atom>\n"
"      <name> CG1 </name>\n"
"      <nebs> HG11 HG12 HG13 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CG2 </name>\n"
"      <nebs> HG21 HG22 HG23 </nebs>\n"
"    </atom>\n"

"  </residue>\n"

"  <residue>\n"
"    <name> CTRP </name>\n"
"    <flat> CA- C- O- CA N H </flat>\n"
"    <flat> CG CD1 NE1 CE2 CD2 CE3 CZ3 CH2 CZ2 CB HD1 HE1 HZ2 HH2 HZ3 HE3 </flat>\n"
"    <flat> C CA O OXT </flat>\n"

"    <redundant>\n"
"      <pair> CA O </pair>\n"
"      <pair> H CA </pair>\n"
"      <pair> CB HA </pair>\n"
"      <pair> HB2 HB3 </pair>\n"
"      <pair> O OXT </pair>\n"
"      <pair> CG NE1 </pair>\n"
"      <pair> CG CE2 </pair>\n"
"      <pair> NE1 CD2 </pair>\n"
"      <pair> CE2 CE3 </pair>\n"
"      <pair> CE3 CH2 </pair>\n"
"      <pair> CE2 CH2 </pair>\n"
"      <pair> CE3 CG </pair>\n"
"      <pair> CZ2 NE1 </pair>\n"
"      <pair> HE3 CD2 </pair>\n"
"      <pair> HZ3 CE3 </pair>\n"
"      <pair> HH2 CZ3 </pair>\n"
"      <pair> HZ2 CH2 </pair>\n"
"      <pair> HE1 CE2 </pair>\n"
"      <pair> HD1 NE1 </pair>\n"
"      <pair> CB CD1 </pair>\n"
"    </redundant>\n"

"    <atom>\n"
"      <name> CA </name>\n"
"      <nebs> N C HA CB </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> C </name>\n"
"      <nebs> O OXT </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> N </name>\n"
"      <nebs> C- H </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CB </name>\n"
"      <nebs> CG HB2 HB3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CG </name>\n"
"      <nebs> CD1 CD2 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CD1 </name>\n"
"      <nebs> NE1 HD1 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> NE1 </name>\n"
"      <nebs> CE2 HE1 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CE2 </name>\n"
"      <nebs> CD2 CZ2  </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CD2 </name>\n"
"      <nebs> CE3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CE3 </name>\n"
"      <nebs> CZ3 HE3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CZ3 </name>\n"
"      <nebs> CH2 HZ3 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CH2 </name>\n"
"      <nebs> CZ2 HH2 </nebs>\n"
"    </atom>\n"
"    <atom>\n"
"      <name> CZ2 </name>\n"
"      <nebs> HZ2 </nebs>\n"
"    </atom>\n"
"  </residue>\n"

    "</top>\n";
}
